Bug 56118 - printconf-gui runs browser as root
printconf-gui runs browser as root
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: printconf (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Crutcher Dunnavant
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-12 18:54 EST by Pavel Roskin
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-12 18:54:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Roskin 2001-11-12 18:54:08 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.5+) Gecko/20011111

Description of problem:
printconf-gui can be run as user - in this case it asks for the password. 
However, it should run the browser as the original user - root permissions
should only be used when required.

Version-Release number of selected component (if applicable):
printconf-gui-0.3.52-1

How reproducible:
Always

Steps to Reproduce:
1. close all browsers
2. run printconf-gui as user
3. enter root password
4. create a new driver if there is none
5. click "edit" on the toolbar
6. select "driver" tab
7. click "printer notes"
8. click on the link to http://www.linuxprinting.org/


Actual Results:  Browser (Mozilla in my case) is run as root

Expected Results:  Browser should be run as user who started printconf-gui

Additional info:

It may be a good idea to have an additional safety net in htmlview and use
"su $USER" there, but the real problem is in printconf-gui that should use
root permissions only when needed.
Comment 1 Crutcher Dunnavant 2001-11-26 11:43:40 EST
This is an issue with the gnome.help module. If there is not already a browser
running, it runs the browser as root. If there is one, it passes the request to
the browser. I cannot 'fix' this problem. If you really care, open a bug against
gnome help.

Note You need to log in before you can comment on or make changes to this bug.